var testosterone = require('testosterone')({sync: true, title: 'connect-i18n'}),
    assert = testosterone.assert,
    i18n = require('..');

testosterone

  .add('GIVEN the middleware being instantiated \n' +
       '  WHEN no `default_locale` is given \n' +
       '  THEN it should provide a default one', function () {

    var fn = i18n(), req = {headers: {}}, res = {};

    fn(req, res, function () {
      assert.deepEqual(req.locales, ['en-us']);
    });
  })

  .add('GIVEN the middleware \n' +
       '  WHEN no `accept-language` header is given \n' +
       '  THEN it should fill locales with the `default_locale`', function () {

    var fn = i18n({default_locale: 'es-es'}), req = {headers: {}}, res = {};

    fn(req, res, function () {
      assert.deepEqual(req.locales, ['es-es']);
    });
  })

  .add('  WHEN `accept-language` header is given \n' +
       '  THEN it should fill the locales', function () {

    var fn = i18n({default_locale: 'es-es'}),
        req = {headers: {'accept-language': 'en-ca,en;q=0.8,en-us;q=0.6,de-de;q=0.4,de;q=0.2'}},
        res = {};

    fn(req, res, function () {
      assert.deepEqual(req.locales, ['en-ca', 'en', 'en-us', 'de-de', 'de']);
    });
  })

  .run();
